Update template
Updates an email template for the authenticated user.
PUT
/
client
/
email-templates
/
{id}
Update template
curl --request PUT \
--url https://api.mailerpath.com/api/v1/client/email-templates/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"html_body": "<string>",
"name": "Welcome Template",
"preview_text": "A short introduction that appears in inbox previews",
"subject": "Welcome to MailerPath",
"text_body": "<string>",
"type": 0
}
'import requests
url = "https://api.mailerpath.com/api/v1/client/email-templates/{id}"
payload = {
"html_body": "<string>",
"name": "Welcome Template",
"preview_text": "A short introduction that appears in inbox previews",
"subject": "Welcome to MailerPath",
"text_body": "<string>",
"type": 0
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
html_body: '<string>',
name: 'Welcome Template',
preview_text: 'A short introduction that appears in inbox previews',
subject: 'Welcome to MailerPath',
text_body: '<string>',
type: 0
})
};
fetch('https://api.mailerpath.com/api/v1/client/email-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "<string>",
"deleted_at": {
"time": "<string>",
"valid": true
},
"html_body": "<string>",
"id": 123,
"name": "<string>",
"preview_text": "<string>",
"source_template": "<unknown>",
"source_template_id": 123,
"subject": "<string>",
"text_body": "<string>",
"updated_at": "<string>",
"user_id": 123
},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Path Parameters
Template ID
Body
application/json
Template update payload
⌘I
Update template

